Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.WatermarkSettings Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | WatermarkSettings ()
| Constructor.
def | WatermarkSettings (settings)
| Constructor, with another watermark settings object. More...
def | Set (position, offset_x, offset_y, flags, scale_x, scale_y, rotation, opacity)
| Set value. More...

## Static Public Attributes
| e_FlagASAnnot = _fsdk.WatermarkSettings_e_FlagASAnnot
| If set, the watermark will be an annotation when inserted to a PDF page.
| e_FlagASPageContents = _fsdk.WatermarkSettings_e_FlagASPageContents
| If set, the watermark will be a part of page content when inserted to a PDF page.
| e_FlagInvisible = _fsdk.WatermarkSettings_e_FlagInvisible
| If set, do not display a watermark.
| e_FlagNoPrint = _fsdk.WatermarkSettings_e_FlagNoPrint
| If set, do not print a watermark.
| e_FlagOnTop = _fsdk.WatermarkSettings_e_FlagOnTop
| If set, show watermark above other page content.
| e_FlagShareImageStream = _fsdk.WatermarkSettings_e_FlagShareImageStream
| If set, watermarks will share one image stream if these watermarks use the same image or bitmap.
| e_FlagSharePageStream = _fsdk.WatermarkSettings_e_FlagSharePageStream
| If set, watermarks will share one form xobject if these watermarks use the same page object.
| e_FlagShareTextStream = _fsdk.WatermarkSettings_e_FlagShareTextStream
| If set, watermarks will share one form xobject if these watermarks use the same text and text's related properties.
| flags = _fsdk.WatermarkSettings_flags
| Watermark flags. More...
| offset_x = _fsdk.WatermarkSettings_offset_x
| Horizontal offset, in points.
| offset_y = _fsdk.WatermarkSettings_offset_y
| Vertical offset, in points.
| opacity = _fsdk.WatermarkSettings_opacity
| Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
| position = _fsdk.WatermarkSettings_position
| Watermark position. More...
| rotation = _fsdk.WatermarkSettings_rotation
| Rotation angle in degrees.
| scale_x = _fsdk.WatermarkSettings_scale_x
| Horizontal scale coefficient. It should be greater than 0.001f.
| scale_y = _fsdk.WatermarkSettings_scale_y
| Vertical scale coefficient. It should be greater than 0.001f.

## Detailed Description

This class represents the watermark settings used to construct a watermark object from any supported resource.

## Constructor & Destructor Documentation

## ◆ WatermarkSettings()

def FoxitPDFSDKPython2.WatermarkSettings.WatermarkSettings | ( |  | settings | ) |

Constructor, with another watermark settings object.

Parameters

  [in] | settings | Another watermark settings object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.WatermarkSettings.Set | ( |  | position,
|  |  | offset_x,
|  |  | offset_y,
|  |  | flags,
|  |  | scale_x,
|  |  | scale_y,
|  |  | rotation,
|  |  | opacity
| ) |  |

Set value.

Parameters

  [in] | position | Watermark position. Please refer to values starting from FoxitPDFSDKPython2.e_PosTopLeft and this should be one of these values.
  [in] | offset_x | Horizontal offset, in points.
  [in] | offset_y | Vertical offset, in points.
  [in] | flags | Watermark flags. Please refer to values starting from FoxitPDFSDKPython2.WatermarkSettings.e_FlagASPageContents and this can be one or a combination of these values.
  [in] | scale_x | Horizontal scale coefficient. It should be greater than 0.001f.
  [in] | scale_y | Vertical scale coefficient. It should be greater than 0.001f.
  [in] | rotation | Rotation angle in degrees.
  [in] | opacity | Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.

Returns
  None.

## Member Data Documentation

## ◆ flags

FoxitPDFSDKPython2.WatermarkSettings.flags = _fsdk.WatermarkSettings_flags
| static

Watermark flags.

Please refer to values starting from FoxitPDFSDKPython2.WatermarkSettings.e_FlagASPageContents and this can be one or a combination of these values.

## ◆ position

FoxitPDFSDKPython2.WatermarkSettings.position = _fsdk.WatermarkSettings_position
| static

Watermark position.

Please refer to values starting from FoxitPDFSDKPython2.e_PosTopLeft and this should be one of these values.